Subject: Re: bug#73609: 29.1; use-package overwrites custom variables in byte-compiled files

From: John Wiegley <[email-masked]>
Date: Mon, 28 Oct 2024 22:53:12 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

>> > I hope this clarifies the issue. I included a potential patch in my original
>> > message which fixes the issue, but I am not sure if it would have unintended
>> > consequences,
>> 
>> Ah, I understand now, this is indeed a complication that should be addressed.
>> Byte-compiling use-package declarations has always been rather tricky, and it
>> still does not even work for my own personal configuration.

> How should we proceed with this bug report? Should we close it as wontfix?

I think this one has to be “won’t fix”, indeed, with a note in the
documentation about possible bad interactions between :custom settings and
byte-compiled files…

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2